VirtualBox

Ticket #9799 (closed defect: fixed)

Opened 3 years ago

Last modified 2 years ago

3D Acceleration Not Working -> fixed as of 27 Oct 2011

Reported by: claytoncarney Owned by:
Priority: major Component: 3D support
Version: VirtualBox 4.1.4 Keywords:
Cc: Guest type: Linux
Host type: Windows

Description

Please refer to  https://forums.virtualbox.org/viewtopic.php?f=6&t=45549&p=205449#p205408. Perryg directed me to open a ticket.

Attachments

Ubuntu 11.10-2011-10-21-15-56-13.log Download (56.5 KB) - added by claytoncarney 3 years ago.
Xorg.0.log Download (32.0 KB) - added by claytoncarney 3 years ago.
Fedora 15 Xorg.0.log Download (29.1 KB) - added by claytoncarney 3 years ago.
Fedora - 3d not working
Fedora 15-2Xorg.0.log Download (29.5 KB) - added by claytoncarney 3 years ago.
Fedora - 3d working
Link.Xorg.0.log Download (31.0 KB) - added by claytoncarney 3 years ago.
After symbolic link
Xorg.0.2.log Download (31.6 KB) - added by claytoncarney 2 years ago.
after r74558

Change History

Changed 3 years ago by claytoncarney

Changed 3 years ago by claytoncarney

comment:1 Changed 3 years ago by Perryg

Adding name to track ticket

Changed 3 years ago by claytoncarney

Fedora - 3d not working

Changed 3 years ago by claytoncarney

Fedora - 3d working

comment:2 Changed 3 years ago by claytoncarney

FYI. I created a Fedora 15 VM this morning. At first, 3D was not working. However, after a few restarts/shutdowns, 3D suddenly started working in Fedora. No change for Ubuntu. Attached the before and after Fedora Xorg.0.log files.

comment:3 Changed 3 years ago by claytoncarney

Update. Found this post  http://blog.chrisblunt.com/ubuntu-1104-beta-how-to-test-unity-in-virtual. Followed these steps:

  • Clean install Ubuntu 11.10 VM
  • Install gnome-shell package
  • Install virtualbox-ose-guest-utils package
  • Reboot

Gnome login comes up in 3D. System Settings->System Info->Graphics reports:

  • Driver: Chromium
  • Experience: Standard

Tried several variants, but it seems to be the combination of gnome-shell and virtualbox-ose-guest-utils that results in 3D.

comment:4 Changed 3 years ago by michael

The Fedora 15 issue was fixed a few days ago I believe (at least if you mean the issue that GNOME Shell works on every second login and falls back on the other ones). As for Ubuntu, I have to apologise as I thought I had fixed that some time ago, but appear not to have. Creating a symbolic link on the guest from /usr/lib/i386-linux-gnu/dri/vboxvideo_dri.so pointing to VBoxOGL.so (either under /usr/lib somewhere or under /opt) should work around the problem.

comment:5 Changed 3 years ago by claytoncarney

Created symbolic link:

ls -la /usr/lib/i386-linux-gnu/dri/vboxvideo_dri.so

lrwxrwxrwx 1 root root 44 2011-10-24 11:27 /usr/lib/i386-linux-gnu/dri/vboxvideo_dri.so
 -> /opt/VBoxGuestAdditions-4.1.4/lib/VBoxOGL.so

Still did not work - attached Link.Xlog.0.log file.

Changed 3 years ago by claytoncarney

After symbolic link

comment:6 Changed 3 years ago by michael

I assume that you actually tried running some 3D applications (e.g. Unity) in the guest. I don't see anything unexpected in Xorg.0.log though. We don't fully implement everything which is needed in a DRI driver, so the message about loading swrast_dri.so is expected (and e.g. kwin is still not supported in a VirtualBox VM).

comment:7 Changed 2 years ago by michael

By the way, r39122 is the fix for Ubuntu which I have finally committed. r38989 is the workaround for Fedora 15.

comment:8 Changed 2 years ago by claytoncarney

Please clarify. Is the proposed solution as follows?

  • Perform clean Ubuntu install in VB
  • Install Guest Additions via VB Device menu
  • Execute the r39122 vboxadd-x11.sh file

comment:9 Changed 2 years ago by michael

Here is a test build (not for production use and so on) which contains that fix, though not the Fedora 15 one. You shouldn't need to do a clean install for it to work.

https://www.virtualbox.org/download/testcase/VBoxGuestAdditions-r74558.iso

comment:10 Changed 2 years ago by claytoncarney

Steps performed:

  • Cloned clean Ubuntu install
  • Installed dkms build-essential linux-headers-generic gnome-shell
  • Reboot
  • Downloaded r74558.iso
  • Mounted iso and installed Guest Additions
  • Reboot and Gnome login
  • Gnome is in fallback mode (2D). System Settings->System Info->Graphics reports: Driver - Software Rasterizer, Experience - Fallback

Attached Xlog.0.log

Changed 2 years ago by claytoncarney

after r74558

comment:11 Changed 2 years ago by frank

claytoncarney, you can save typing the [[BR]] if you insert a space right before the * bullet.

comment:12 Changed 2 years ago by michael

Does Unity also fail with the test ISO? And does GNOME stay in fallback mode if you log out and back in again?

comment:13 Changed 2 years ago by claytoncarney

Unity reports graphics driver - Software Rasterizer
Logout/Restart/Shutdown - Gnome always starts in fallback mode.

comment:14 Changed 2 years ago by claytoncarney

clayton@clayton-VirtualBox:~$ ps -ef | grep unity
clayton   1817  1700  0 13:36 ?        00:00:01 unity-2d-launcher
clayton   1818  1700  0 13:36 ?        00:00:00 unity-2d-panel
clayton   1894     1  0 13:36 ?        00:00:00 /usr/lib/unity/unity-panel-service
clayton   2106  2052  0 13:40 pts/0    00:00:00 grep --color=auto unity
clayton@clayton-VirtualBox:~$

Unity is definitely in 2D.

comment:16 Changed 2 years ago by michael

It should be enough to just install it over r74558.

comment:17 Changed 2 years ago by claytoncarney

OK, another test:

  • Clone clean Ubuntu install
  • Install virtualbox-ose-guest-utils
  • Reboot and Ubuntu login
clayton@clayton-VirtualBox:~$ ps -ef | grep unity
clayton   1528  1527  0 13:53 ?        00:00:00 /usr/bin/unity-window-
 decorator
clayton   1531     1  2 13:53 ?        00:00:00 /usr/lib/unity/unity-panel-
 service
clayton   1604     1  0 13:53 ?        00:00:00 /usr/lib/unity-lens-files
 /unity-files-daemon
clayton   1606     1  0 13:53 ?        00:00:00 /usr/lib/unity-lens-music
 /unity-music-daemon
clayton   1646     1  2 13:53 ?        00:00:00 /usr/lib/unity-
 lens-applications/unity-applications-daemon
clayton   1693     1  0 13:53 ?        00:00:00 /usr/lib/unity-lens-music
 /unity-musicstore-daemon
clayton   1734  1621  0 13:53 pts/0    00:00:00 grep --color=auto unity
clayton@clayton-VirtualBox:~$

Unity is 3D. IDK what, but something in virtualbox-ose-guest-utils gets the 3D correct.


Will try r74559 next.

comment:18 Changed 2 years ago by claytoncarney

After r74599, Ubuntu login:

clayton@clayton-VirtualBox:~$ ps -ef | grep unity
clayton   1594  1593  0 14:11 ?        00:00:00 /usr/bin/unity-window-decorator
clayton   1597     1  1 14:11 ?        00:00:00 /usr/lib/unity/unity-panel-
service
clayton   1660     1  1 14:11 ?        00:00:00 /usr/lib/unity-
 lens-applications/unity-applications-daemon
clayton   1662     1  0 14:11 ?        00:00:00 /usr/lib/unity-lens-files
 /unity-files-daemon
clayton   1664     1  2 14:11 ?        00:00:00 /usr/lib/unity-lens-music
 /unity-music-daemon
clayton   1779     1  0 14:11 ?        00:00:00 /usr/lib/unity-lens-music
 /unity-musicstore-daemon
clayton   1808  1700  0 14:11 pts/0    00:00:00 grep --color=auto unity
 clayton@clayton-VirtualBox:~$

And Gnome Login:

clayton@clayton-VirtualBox:~$ ps -ef | grep gnome-session
clayton   2869  1059  0 14:16 ?        00:00:00 gnome-session --session=gnome
clayton   2935  2869  0 14:16 ?        00:00:00 /usr/bin/ssh-agent /usr/bin
 /dbus-launch --exit-with-session gnome-session --session=gnome
clayton   2939     1  0 14:16 ?        00:00:00 /usr/bin/dbus-launch --exit-
 with-session gnome-session --session=gnome
clayton   3151  3089  0 14:17 pts/0    00:00:00 grep --color=auto gnome-
 session
clayton@clayton-VirtualBox:~$

Does appear that r74559 corrects the 3D problem.

comment:19 Changed 2 years ago by michael

  • Summary changed from 3D Acceleration Not Working to 3D Acceleration Not Working -> fixed as of 27 Oct 2011

For completeness, here is a build which contains the workaround for the Fedora 15 issue too.

https://www.virtualbox.org/download/testcase/VBoxGuestAdditions-r74568.iso

comment:20 Changed 2 years ago by frank

  • Status changed from new to closed
  • Resolution set to fixed

Fix is part of VBox 4.1.6.

Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use